Flutter,React Native,その他の備忘録

Thumbnail of post image 022

React Nativeについてはexpoを利用していることを前提にしています。expoは開発をスムーズにするツールであり、Expo Goというアプリで実機テスト動作を簡単にできるなどのメリットがあり、React Nativeの開発でexpoを使わないで開発するなどは考えられないです。 Javascript 対 Dart React NativeはJavascriptという言語で記述します。これに ...

expo,React Native,typescript

Thumbnail of post image 010
Purpose (目的) React Nativeで音を出したい。しかし、サンプルの通りやると、typescript のErrorが出るので直したい。 Environment (動作環境) React Native (version 0.68.2)expo (version 45.0.8)Typescript (version 4.3.5) npm install インストールします。(npmでは ...

expo,React Native

Thumbnail of post image 135
Environment (動作環境) React native (version 0.68.2)expo (version 45.0.8) Cause of error (エラーの原因) The cause was that a large amount of characters were output by console.log().console.log() で出力していた文字が大量であっ ...

expo

Thumbnail of post image 128
Neact Nativeとexpoで開発を始めてから1ヶ月くらい経過したときに、iphoneのエミュを立ち上げた時に、急に以下のエラーが出た。 Started Metro Bundler › Opening on iOS... Error running `xcrun simctl help`: Xcode license is not accepted. Please run `sudo xco ...

React Native,typescript

Thumbnail of post image 105
Target (目標) @react-native-async-storage/async-storage. ← use :)@react-native-community/async-storage ← can't use anymore (I get an error) Environment (動作環境) Expo (version 45.0.8)React Native (version ...

React Native,typescript

Thumbnail of post image 127
Problem (問題点) When using ScrollView, the width is not 100%, so I tried various things. (ScrollViewを使うと、幅が100%にならなくなったりしたので、いろいろ試しました。) Operating environment (動作環境) React Native (version 0.68.2)Typescr ...

React Native,typescript

Thumbnail of post image 057
Content of the error (エラーの内容) No overload matches this call. Overload 1 of 2, '(...args: never): void', gave the following error. Argument of type 'string' is not assignable to paramet ...

IT系の備忘録,React Native

Thumbnail of post image 085
Summary (概要) using Macusing expo (version 45)using React Native (version 0.68.2)using typescriptusing VScodeusing node (version 16) The expo version is 45. This is because the latest version of expo i ...

React Native

Thumbnail of post image 140
Summary (概要) using Macusing expo (version 45)using React Native (version 0.68.2)using typescriptusing VScodeusing node (version 16) expoのversionは45とします。これは、2022年8月の時点でexpoの最新versionは46ですが、AdMobを使う場合、4 ...

React Native,その他の備忘録

Thumbnail of post image 053

概要 ・携帯はiPhoneとAndroid両方の携帯でアプリを動作させたい ・React Nativeを使う どのcross platform frameworkで開発するかの選択 クロスプラットフォームのフレームワークの候補としては、Flutter, React Native, Xamarin, Unityなどがありますが、自分はReact Nativeを利用しています。 ・iPhoneとAnd ...

Android Studio,IT系の備忘録,React Native

Thumbnail of post image 094

・前回の記事を書いた後に、もっと良い解決方法を発見したので、書き直すことにしました。エラーの内容は以下の通りです。 Couldn’t start project on Android: Error running adb: adb: failed to install /Users/worker/.expo/android-apk-cache/Exponent-2.25.2.apk: E ...